[tracking] removal and migration of pycrypto

Bug #1749574 reported by Matthew Thode on 2018-02-14
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Barbican
In Progress
Undecided
Ameed Ashour
Compass
Undecided
Unassigned
Fuel for OpenStack
Undecided
Unassigned
OpenStack Backup/Restore and DR (Freezer)
Undecided
Unassigned
OpenStack Compute (nova)
Undecided
Unassigned
OpenStack DBaaS (Trove)
Undecided
Fan Zhang
OpenStack Global Requirements
Fix Released
High
Matthew Thode
Solum
Undecided
zhurong
Tatu
Undecided
Unassigned
daisycloud
New
Undecided
Unassigned
openstack-ansible
Undecided
Unassigned
pyghmi
Undecided
Ilya Etingof

Bug Description

trove
tatu
barbican
compass
daisycloud
freezer
fuel
nova
openstack-ansible - https://review.openstack.org/544516
pyghmi - https://review.openstack.org/569073
solum

Matthew Thode (prometheanfire) wrote :

http://codesearch.openstack.org/?q=pycrypto&i=nope&files=.*requirements.*&repos= for a current list of projects consuming pycrypto

The current recommendation is to move to cryptography.

Changed in openstack-ansible:
assignee: nobody → Major Hayden (rackerhacker)
status: New → In Progress
Ameed Ashour (ameeda) on 2018-02-15
Changed in nova:
assignee: nobody → Ameed Ashour (ameeda)
importance: Undecided → Low
status: New → In Progress
Ameed Ashour (ameeda) on 2018-02-15
Changed in nova:
assignee: Ameed Ashour (ameeda) → nobody
importance: Low → Undecided
status: In Progress → Invalid
Changed in barbican:
assignee: nobody → Ameed Ashour (ameeda)
Ameed Ashour (ameeda) wrote :
Changed in barbican:
status: New → In Progress
Ameed Ashour (ameeda) wrote :
Changed in trove:
assignee: nobody → Ameed Ashour (ameeda)
status: New → In Progress
Ameed Ashour (ameeda) on 2018-02-15
Changed in nova:
status: Invalid → New
Matt Riedemann (mriedem) on 2018-02-15
Changed in nova:
status: New → Triaged
Changed in openstack-ansible:
status: In Progress → Fix Committed

Change abandoned by Ameed Ashour (<email address hidden>) on branch: master
Review: https://review.openstack.org/544891

Ameed Ashour (ameeda) on 2018-02-21
Changed in trove:
status: In Progress → New
assignee: Ameed Ashour (ameeda) → nobody
Dirk Mueller (dmllr) on 2018-03-28
Changed in openstack-requirements:
assignee: nobody → Matthew Thode (prometheanfire)
Changed in openstack-ansible:
assignee: Major Hayden (rackerhacker) → nobody

Fix proposed to branch: master
Review: https://review.openstack.org/560292

Changed in trove:
assignee: nobody → Zhao Chao (zhaochao1984)
status: New → In Progress
Ilya Etingof (etingof) wrote :
Changed in pyghmi:
assignee: nobody → Ilya Etingof (etingof)
status: New → In Progress
description: updated
Ilya Etingof (etingof) on 2018-05-18
Changed in pyghmi:
status: In Progress → Fix Committed

Change abandoned by Ade Lee (<email address hidden>) on branch: master
Review: https://review.openstack.org/544873
Reason: The changes in this patch have been subsumed in https://review.openstack.org/568879 and https://review.openstack.org/#/c/564839/

Changed in trove:
assignee: Zhao Chao (zhaochao1984) → Fan Zhang (fanzhang)
zhurong (zhu-rong) on 2018-06-11
Changed in solum:
assignee: nobody → zhurong (zhu-rong)

Fix proposed to branch: master
Review: https://review.openstack.org/574244

Changed in solum:
status: New → In Progress

Reviewed: https://review.openstack.org/574244
Committed: https://git.openstack.org/cgit/openstack/solum/commit/?id=4bb3f91e8afc1e60f674d3e191a5945dfe909bd2
Submitter: Zuul
Branch: master

commit 4bb3f91e8afc1e60f674d3e191a5945dfe909bd2
Author: zhurong <email address hidden>
Date: Mon Jun 11 20:57:58 2018 +0800

    Remove pycrypto dependency

    Change-Id: I49f912974840c7afe516bc451e1f1d4ba72c7479
    Closes-Bug: #1749574

Changed in solum:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/560292
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=46a031e76544572562eaf3e757a0ff488c3389f2
Submitter: Zuul
Branch: master

commit 46a031e76544572562eaf3e757a0ff488c3389f2
Author: Zhao Chao <email address hidden>
Date: Wed Apr 11 12:39:05 2018 +0800

    Switch to cryptography from pycrypto

    PyCrypto isn't active developed for quite a while, cryptography is
    recommended instead. This patch does this migration, but still keeps
    pycrytpo as a fallback solution.

    Random generation is also migrated to os.urandom as the cryptography
    document suggests:
    https://cryptography.io/en/latest/random-numbers/

    Closes-Bug: #1749574

    Change-Id: I5c0c1a238023c116af5a84d899e629f1c7c3513f
    Co-Authored-By: Fan Zhang <email address hidden>
    Signed-off-by: Zhao Chao <email address hidden>

Changed in trove:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/573070
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=4279fd253baf77fef8a5a8e6374f79e988d01d4b
Submitter: Zuul
Branch: master

commit 4279fd253baf77fef8a5a8e6374f79e988d01d4b
Author: Fan Zhang <email address hidden>
Date: Tue Feb 27 15:51:17 2018 +0800

    Remove pycrypto from requirements

    Remove pycrypto completely from requirements and fix the
    related tests.

    Closes-Bug: #1749574
    Depends-On: I5c0c1a238023c116af5a84d899e629f1c7c3513f
    Change-Id: Ibfedd9e2ab0a5e78959108112f57103a089f02d1
    Signed-off-by: Fan Zhang <email address hidden>

Fan Zhang (fanzhang) wrote :

Trove has removed pycrypto completely. :)

Matthew Thode (prometheanfire) wrote :

pycrypto was removed from most / the main openstack projects, there are still a few outliers, but nothing core.

Changed in openstack-requirements:
importance: Undecided → High
status: New → Fix Released

This issue was fixed in the openstack/trove 10.0.0.0b3 development milestone.

This issue was fixed in the openstack/solum 5.7.0 release.

Mohammed Naser (mnaser) on 2019-02-13
Changed in openstack-ansible:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers